#define STR_ARGS_MIDI "MIDI-Datei"
#define STR_ARGS_BANK "Bank-Datei"
#define STR_ARGS_DBANK "Perk.-Datei"
#define STR_ARGS_USEDRM "Als Perk.-Bank"
#define STR_ARGS_SRATE "Abtastrate"
#define STR_ARGS_VOICES "OPL-Stimmen"
#define STR_ARGS_DEVICE "ALSA-Geraet/WAV-Datei"
#define STR_ARGS_BUFFER "Puffergroesse"
#define STR_ARGS_FRAMES "PCM-Intervall"
#define STR_ARGS_WIDEFT "32-Bit Samples"
#define STR_ARGS_KEEPV "Stimmen behalten"
#define STR_ARGS_USEUNK "Keine unbek. Bank"
#define STR_ARGS_VELO "Anschlag-Funktion"
#define STR_ARGS_DONTWT "Nicht ausklingen"
#define STR_ARGS_OFFSET "Start"
#define STR_ARGS_NOTE "Note"
#define STR_ARGS_LENGTH "Laenge"
#define STR_ARGS_PAUSE "Pause"
#define STR_ARGS_INSTR "Instrument-N."
#define STR_ARGS_PERC "Perk.-Nummer"
#define STR_ARGS_DPERC "DMX-Perk.-N."
#define STR_ARGS_BANKN "Bank-Nummer"
#define STR_ARGS_NTABLE "Liste [k. Tabelle]"
#define STR_ARGS_NONAME "Keine Instr.-Namen"
#define STR_ARGS_SKB "SKB-Datei"
#define STR_ARGS_MDEBUG "MIDI-Debug"

#define STR_WAV_OPNERR "Fehler beim Oeffnen von WAV-Datei '%s': %s (%d)"
#define STR_WAV_WRITERR "Fehler beim Schreiben nach WAV-Datei '%s': "
#define STR_WAV_EIO STR_WAV_WRITERR "E/A-Fehler"
#define STR_WAV_EGEN STR_WAV_WRITERR "%s (%d)"

#define STR_MID_OPNERR "Fehler beim Oeffnen von MIDI-Datei '%s': %s (%d)"
#define STR_MID_READERR "Fehler beim Lesen von MIDI-Datei '%s': "
#define STR_MID_EIO STR_MID_READERR "E/A-Fehler"
#define STR_MID_EEOF STR_MID_READERR "Ende der Datei erreicht"
#define STR_MID_EGEN STR_MID_READERR "%s (%d)"
#define STR_MID_ESHORT STR_MID_READERR "Datei zu klein"
#define STR_MID_EMFHDR STR_MID_READERR "Fehlerhafter Dateiheader oder falscher Dateityp"
#define STR_MID_EHSIZE STR_MID_READERR "Dateiheader mit falscher Laenge"
#define STR_MID_ETKFMT STR_MID_READERR "Fehlerhaftes Spurformat"
#define STR_MID_ENOTRK STR_MID_READERR "Keine Spuren definiert"
#define STR_MID_ESMULT STR_MID_READERR "Einzelspur-Format mit mehreren Spuren"
#define STR_MID_ESMPTE STR_MID_READERR "SMPTE-Zeitformat nicht unterstuetzt"
#define STR_MID_EDZERO STR_MID_READERR "Zeitformat teilt durch null"
#define STR_MID_ETKHDR STR_MID_READERR "Fehlerhafter Spurheader"
#define STR_MID_EOUTOF STR_MID_READERR "Spur #%d ausserhalb der Datei"
#define STR_MID_SEQNUMO "MIDI Spur #%d Sequenz-Nummer = %d (eigene)"
#define STR_MID_SEQNUM "MIDI Spur #%d Sequenz-Nummer = %d"
#define STR_MID_CHNPFX "MIDI Spur #%d Kanal-Praefix = %d"
#define STR_MID_END "MIDI Spur #%d Ende erreicht"
#define STR_MID_TEMPO "MIDI Tempo = %d"
#define STR_MID_SMPTE "MIDI SMPTE-Event (nicht unterstuetzt)"
#define STR_MID_TIMESIG "MIDI Takt-Signatur = %d/%d - %d CPC - %d 32PQ"
#define STR_MID_KEYSIG "MIDI Noten-Signatur = %d - %s"
#define STR_MID_TEXT "MIDI Text (%d): %s"
#define STR_MID_SEQDATA "MIDI Spur #%d Sequenzer-Daten empfangen - %d Bytes"
#define STR_MID_UNKMETA "MIDI Spur #%d Meta-Event 0x%02x (%d)"
#define STR_MID_METALEN "MIDI Spur #%d Meta-Event 0x%02x - erwartet %d, hat %d"
#define STR_MID_NOTEOFF "MIDI Note-Aus - C%02d N%03d V%03d"
#define STR_MID_NOTEON "MIDI Note-An - C%02d N%03d V%03d"
#define STR_MID_PRESS "MIDI Aftertouch - C%02d P%03d"
#define STR_MID_CC "MIDI Controller - C%02d N%03d V%03d"
#define STR_MID_PROG "MIDI Programm - C%02d P%03d"
#define STR_MID_CPRESS "MIDI Kanal-Druck - C%02d P%03d"
#define STR_MID_PITCH "MIDI Pitch-Bend - C%02d P%03d"
#define STR_MID_SYSEX "MIDI Sysex (Normal) mit Laenge = %d"
#define STR_MID_SONGPOS "MIDI Song-Position = %d"
#define STR_MID_SONGSEL "MIDI Song-Auswahl = %d"
#define STR_MID_TUNE "MIDI Stimmung angefordert, nichts zu tun?!"
#define STR_MID_ESYSEX "MIDI Sysex (Escape) mit Laenge = %d"
#define STR_MID_GENSTAT "MIDI Status %d"
#define STR_MID_UNKSTAT "MIDI Status unbekannt: 0x%02x"
#define STR_MID_EEND "MIDI Spur #%d endete zu frueh"

#define STR_IMID_TITLE "Titel"
#define STR_IMID_INFO "Info"
#define STR_IMID_COPY "Hinweis"
#define STR_IMID_WARN "Lizenz"
#define STR_IMID_LANG "Sprache"
#define STR_IMID_VER "Version"

#define STR_BNK_UNKN "Format von Bank-Datei '%s' unbekannt"
#define STR_BNK_OPNERR "Fehler beim Oeffnen von Bank-Datei '%s': %s (%d)"
#define STR_BNK_READERR "Fehler beim Lesen von Bank-Datei '%s': "
#define STR_BNK_WRITERR "Fehler beim Schreiben nach Bank-Datei '%s': "
#define STR_BNK_PARSERR "Fehler beim Verarbeiten von Bank-Datei '%s': "
#define STR_BNK_EIO STR_BNK_READERR "E/A-Fehler"
#define STR_BNK_EEOF STR_BNK_READERR "Ende der Datei erreicht"
#define STR_BNK_EGEN STR_BNK_READERR "%s (%d)"
#define STR_BNK_ESHORT STR_BNK_READERR "Datei zu klein"
#define STR_BNK_EMFHDR STR_BNK_READERR "Fehlerhafter Dateiheader oder falscher Dateityp"
#define STR_BNK_EWIO STR_BNK_WRITERR "E/A-Fehler"
#define STR_BNK_EEOD STR_BNK_PARSERR "Ende der Daten erreicht"

#define STR_AUD_UNDERR "ALSA Puffer-Unterlauf! (%d)"
#define STR_AUD_WRITERR "Fehler beim Schreiben von PCM: %s (%d)"
#define STR_AUD_OPNERR "Fehler beim Oeffnen von ALSA PCM-Geraet '%s': %s (%d)"
#define STR_AUD_HWERR "Fehler beim Setzen von Hardware-Parametern von ALSA PCM-Geraet '%s': %s (%d)"
#define STR_AUD_SWERR "Fehler beim Setzen von Software-Parametern von ALSA PCM-Geraet '%s': %s (%d)"
#define STR_AUD_FMTERR "Fehler beim Setzen von Sample-Format von ALSA PCM-Geraet '%s': Kein Format verfuegbar"
#define STR_AUD_FMTCH "ALSA PCM-Geraet '%s': Sample-Format S%dLE nicht verfuegbar, setze auf S%dLE"
#define STR_AUD_PREPERR "Fehler beim Vorbereiten vom ALSA PCM-Geraet"

#define STR_BNK_UNDEF "Instrument %d ist in der Bank nicht definiert!"
#define STR_BNK_NONE "Keine Instrumente zum abspielen!"

#define STR_TST_NDDRUM "DMX-Perkussions- und Instrument-/MIDI-Perkussions-Nummern koennen nicht gleichzeitig angegeben werden"
#define STR_TST_NMDRUM "MIDI-Perkussions- und Instrument-/DMX-Perkussions-Nummern koennen nicht gleichzeitig angegeben werden"
#define STR_TST_NOFFS "Offset und Instrument-/MIDI-Perkussions-/DMX-Perkussions-Nummern koennen nicht gleichzeitig angegeben werden"
#define STR_TST_DRUM "Spiele Perkussion %d ('%s') .."
#define STR_TST_INSTR "Spiele Note #%d auf Instrument %d ('%s') .."

#define STR_PLR_UNEVEN "Die Anzahl der OPL-Stimmen muss gerade sein"
#define STR_PLR_PLAY "Spiele MIDI '%s' (%d/%d) .."
#define STR_PLR_END "Fertig."
#define STR_PLR_INT "Unterbrochen."
#define STR_PLR_TITLE "SKC OPL MIDI Player v 0.0.1 (~ Sen)"
#define STR_PLR_INFO "+++ Q - Beenden +++ N - Naechster Titel +++ B - Vorheriger Titel"
